ml_one_vs_rest {sparklyr} | R Documentation

## Spark ML – One vs Rest

### Description

Perform regression or classification using one vs rest.

### Usage

    ml_one_vs_rest(x, classifier, response, features, ml.options = ml_options(),
      ...)

### Arguments

`x` | An object coercable to a Spark DataFrame (typically, a `tbl_spark`).
`classifier` | The classifier model. These model objects can be obtained through the use of the `only.model` parameter supplied with `ml_options`.

`response`

The name of the response vector (as a length-one character vector), or a formula, giving a symbolic description of the model to be fitted. When `response` is a formula, it is used in preference to other parameters to set the `response`, `features`, and `intercept` parameters (if available). Currently, only simple linear combinations of existing parameters is supposed; e.g. `response ~ feature1 + feature2 + ...`. The intercept term can be omitted by using `- 1` in the model fit.

`features` | The name of features (terms) to use for the model fit.
`ml.options` | Optional arguments, used to affect the model generated. See `ml_options` for more details.
`...` | Optional arguments. The `data` argument can be used to specify the data to be used when `x` is a formula; this allows calls of the form `ml_linear_regression(y ~ x, data = tbl)`, and is especially useful in conjunction with `do`.

### See Also

Other Spark ML routines: `ml_als_factorization`, `ml_decision_tree`, `ml_generalized_linear_regression`, `ml_gradient_boosted_trees`, `ml_kmeans`, `ml_lda`, `ml_linear_regression`, `ml_logistic_regression`, `ml_multilayer_perceptron`, `ml_naive_bayes`, `ml_pca`, `ml_random_forest`, `ml_survival_regression`

[Package sparklyr version 0.6.3 Index]